%define anolis_release 3

Summary: A library for editing typed command lines
Name: readline
Version: 8.2
Release: %{anolis_release}%{?dist}
License: GPLv3+
URL: https://tiswww.case.edu/php/chet/readline/rltop.html
Source: http://ftp.gnu.org/gnu/readline/readline-%{version}.tar.gz

Patch1: 0001-Readline-8.2-patch-1-fix-crash-when-readline-is-star.patch
# Other patches
# Remove RPATH, use CFLAGS
Patch101: readline-8.2-shlib.patch


BuildRequires: gcc
BuildRequires: ncurses-devel

%description
The Readline library provides a set of functions that allow users to
edit command lines. Both Emacs and vi editing modes are available. The
Readline library includes additional functions for maintaining a list
of previously-entered command lines for recalling or editing those
lines, and for performing csh-like history expansion on previous
commands.

%package devel
Summary: Files needed to develop programs which use the readline library
Requires: %{name} = %{version}-%{release}

%description devel
The Readline library provides a set of functions that allow users to
edit typed command lines. If you want to develop programs that will
use the readline library, you need to have the readline-devel package
installed. You also need to have the readline package installed.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package static
Summary: Static libraries for the readline library
Requires: %{name}-devel = %{version}-%{release}

%description static
The readline-static package contains the static version of the readline
library.

%prep
%autosetup -p1

%build
%configure --with-curses --disable-install-examples
%make_build

%install
%make_install

rm -vrf %{buildroot}%{_docdir}/readline

%generate_compatibility_deps

%files
%license COPYING USAGE
%dir %{abidir}
%{_libdir}/libreadline.so.*
%{_libdir}/libhistory.so.*
%{abidir}/libreadline.dump
%{abidir}//libhistory.dump
%{_infodir}/history.info*
%{_infodir}/rluserman.info*

%files devel
%doc examples/*.c examples/*.h examples/rlfe
%{_includedir}/readline/
%{_libdir}/libreadline.so
%{_libdir}/libhistory.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/readline.3*
%{_mandir}/man3/history.3*
%{_infodir}/readline.info*

%files doc
%doc CHANGES NEWS README

%files static
%{_libdir}/libreadline.a
%{_libdir}/libhistory.a

%changelog
* Wed May 22 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 8.2-3
- fix source link

* Tue Dec 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 8.2-2
- fix chroot crash with "bash -i"

* Tue Nov 22 2022 Funda Wang <fundawang@yeah.net> - 8.2-1
- New version 8.2

* Fri Oct 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 8.1-4
- optimise spec file

* Thu Oct 13 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 8.1-3
- add abi

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 8.1-2
- add doc package

* Tue Mar 08 2022 Renbo <rb01097748@alibaba-inc.com> - 8.1-1
- Init for Anolis OS 23
